org.apache.cassandra.transport

## Class Message.Dispatcher

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.apache.cassandra.transport.Message.Dispatcher

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler
  Enclosing class:
    Message

      public static class Message.Dispatcher
      extends org.jboss.netty.channel.SimpleChannelUpstreamHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `org.jboss.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message.Dispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exceptionCaught(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ExceptionEvent e)`
    `void` | `messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.MessageEvent e)`

    - ### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

      `channelBound, channelClosed, channelConnected, channelDisconnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message.Dispatcher

          public Message.Dispatcher()

  - ### Method Detail

    - #### messageReceived

          public void messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx,
                             org.jboss.netty.channel.MessageEvent e)

      Overrides:
        `messageReceived` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`

    - #### exceptionCaught

          public void exceptionCaught(org.jboss.netty.channel.ChannelHandlerContext ctx,
                             org.jboss.netty.channel.ExceptionEvent e)
                               throws java.lang.Exception

      Overrides:
        `exceptionCaught` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
      Throws:
        `java.lang.Exception`

Copyright © 2014 The Apache Software Foundation